CREATE PROCEDURE sp_web2_DealerAreaEnabled @WebsiteID INT, @Enabled TINYINT OUTPUT AS

	SET @Enabled = CASE WHEN EXISTS(SELECT * 
                                  FROM WebsiteDivision wd (NOLOCK) 
                                  WHERE wd.Website_ID = @WebsiteID 
                                    AND wd.SalesordersAllowed = 1)
                 THEN 1
                 ELSE 0
                 END
GO
